$(document).ready(
    function()
    {
        var elements = {
            aufgabe : { 
                button : $('#aufgabe'), 
                text : $('#video-aufgabeText'),
                enabled : false
            },
            
            medieninfo : { 
                button : $('#medieninfo'), 
                text : $('#text'),
                enabled : true
            }
        };


        var aufgabeEnabled = true;
        
        function update() {
            ['aufgabe', 'medieninfo'].forEach(
                function(key) {
                    var element = elements[key];

                    if (element.enabled) {
	                element.text.css("display","block");
	                element.button.addClass("selected");
                    } else {
	                element.button.removeClass("selected");
	                element.text.css("display","none");
                    }
                });
        }

	elements.medieninfo.button.click(
            function(event)
	    {
                elements.aufgabe.enabled = false;
                elements.medieninfo.enabled = !elements.medieninfo.enabled;
                update();
	    });

	elements.aufgabe.button.click(
            function(event)
	    {
                elements.medieninfo.enabled = false;
                elements.aufgabe.enabled = !elements.aufgabe.enabled;
                update();
	    });
	
    });