$(document).ready(
    function() {
        var bi = new BildinfoController(
[new BildinfoItem([{x:400,y:55.03334045410156},{x:400,y:94.03334045410156}], "Herkunft der Leukocyten", "<strong>Herkunft der Leukocyten (1)</strong> <br />Leukocyten entwicklen sich aus <strong>pluripotenten Stammzellen</strong> des <strong>roten Knochenmarks</strong>. Die Differenzierung erfolgt über <strong>lymphoide Vorläuferzellen</strong> zu den Zellen der <strong>spezifischen Immunabwehr</strong> und über <strong>myeloische Vorläuferzellen</strong> zu den Zellen der <strong>unspezifischen Immunabwehr</strong>.", "right", {elements:"#leucocytes"}), 

new BildinfoItem([{x:615,y:480.03334045410156},{x:615,y:455.03334045410156}], "zellvermittelte<br/> Immunantwort", "<strong>zellvermittelte Immunantwort (2)</strong> <br/>Ca. 90% der lymphoiden Vorläuferzellen wandern in eine Drüse der oberen Brustregion, den <strong>Thymus</strong>. Dort entwickeln sich die lymphoiden Vorläuferzellen zu <strong>T-Lymphocyten</strong> (T für Thymus). Aus diesen T-Lymphocyten entstehen die <strong>T-Helferzellen</strong> und die cytotoxischen T-Zellen, die <strong>T-Killerzellen</strong>. Die T-Helferzellen <strong>stimulieren</strong> T-Killerzellen und auch B-Zellen. Die <strong>zellvermittelte Immunantwort</strong> der T-Zellen richtet sich gegen virusinfizierte Körperzellen, Tumorzellen und Transplantate.", "right", {elements:"#tcells"}),

new BildinfoItem([{x:440,y:480.03334045410156},{x:440,y:455.03334045410156}], "humorale<br/> Immunantwort", "<strong>humorale Immunantwort (3)</strong> <br/>10% der Iymphoiden Vorläuferzellen entwickeln sich im Knochenmark zu <strong>B-Lymphocyten</strong>. Diese stellen die <strong>humorale Immunantwort</strong> dar (humor lat.: Flüssigkeit). Ein B-Lymphocyt besitzt an der Zellmembran für ein <strong>bestimmtes Antigen</strong> ca. 100 000 <strong>Rezeptoren</strong>. Die Antigene finden sich auf Viren, Bakterien, Pollen, Gewebeimplantaten. Aus den B-Zellen entstehen <strong>Plasmazellen</strong>, die <strong>Antikörper</strong> passend zu den Antigenen herstellen. Diese Antikörper zirkulieren in Blut und Lymphe und 'verklumpen' passende körperfremde Zellen.", "right", {elements:"#bcells"}),  

new BildinfoItem([{x:320,y:480.03334045410156},{x:320,y:455.03334045410156}], "Phagocytose und <br/> Antigenpräsentation", "<strong>Phagocytose und Antigenpräsentation (4)</strong> <br/> <strong>Monocyten</strong> sind im Blut zirkulierende Zellen und entwickeln sich im Gewebe zu <strong>Makrophagen</strong>. Wie die Granulocyten sind Makrophagen <strong>amöboid beweglich</strong> und bilden mit diesen die Gruppe der <strong>phagocytierenden Fresszellen</strong>. Makrophagen lagern körperfremde Eindringlinge an ihre <strong>Oberfläche</strong> an. Diese werden dann in das Zellinnere eingeschlossen. Dort verschmilzt der membranumhüllte Fremdkörper mit <strong>Lysosomen</strong> und wird verdaut. Makrophagen stellen eine Verbindung zur spezifischen Abwehr her, da sie <strong>Proteinbruchstücke<strong> der Eindringlinge an ihrer Oberfläche <strong>präsentieren</strong>.", "left", {elements:"#macrophage"}),

new BildinfoItem([{x:30,y:55.03334045410156},{x:30,y:219.03334045410156},], "Entzündungsreaktion <br /> und Parasitenabwehr", "<strong>Entzündungsreaktion und Parasitenabwehr (5)</strong> <br />  <strong>Mastzellen</strong> und <strong>basophile Granulocyten</strong> sind im Bindegewebe aktiv an Entzündungsprozessen zur Abwehr von Erregern beteiligt. Beide Zelltypen geben <strong>Signalstoffe</strong> und <strong>blutgrinnungshemmende Stoffe</strong> ab. <strong>Neutrophile Granulocyten</strong> wandern aus den Kapillaren in den Entzündungsherd ein und <strong>phagocytieren</strong> Fremdstoffe, wobei sie sich selbst zerstören (Eiterbildung). <strong>Eosinophile Granulocyten</strong> geben <strong>lytische Enzyme</strong> zur Bekämpfung größerer Parasiten, wie beispielsweise Würmer, ab.", "right", {elements:"#granulocyte"})],
 
            {
                cssHeads:true,
                noAutoTitle:true,
                image:$('#bgimage'),
                color:'#0079ae',
                neutralColor:'#0079ae',
                medieninfo:$('#text .textColumn'),
                toggleBildInfo: $('#toggle-bildinfo')
            });

        var info = false, img=$('#leucocytes_placeholder').hide();
        $('#toggle-bildinfo').click(
            function() {
                if (info = !info) {
                    img.show();
                } else {
                    img.hide();
                }
            }
        );			
			
			
       
    }
);
